> ## Name

> TexGenSEyePlane - 3D API tex gen S eye plane

> ## Usage

> TexGenSEyePlane[i] = float4(p1, p2, p3, p4)

> ## Valid Enumerants

> p1, p2, p3, p4: floating point values

> ## Description

> Specify the texture coordinate generation parameters for the S eye plane. See the GL_EYE_PLANE description on the OpenGL glTexGen manual page for details.

> The standard reset callback sets the TexGenSEyePlane[i] state to float4(1, 0, 0, 0).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> TexGenSEnable, TexGenSMode, TexGenSObjectPlane, TexGenQEyePlane, TexGenREyePlane, TexGenTEyePlane